/*--------------------------------------------------------------
>>> TABLE OF CONTENTS:
----------------------------------------------------------------
# Generic (CALLED IN NORMALIZE.CSS)
	- Normalize
	- Box sizing
	- Media width
# Base
	- Typography
	- Elements
	- Links
# Components
	- Header
	- Main
	- Footer
--------------------------------------------------------------*/

/*--------------------------------------------------------------
# Base
--------------------------------------------------------------*/
body {
  /* This is for very large screens */
  max-width: 120rem;
  margin: 0 auto;
}

h1,
h2,
h3,
h4,
h5,
h6,
p,
span {
  margin: 0;
}

main article,
main section {
  margin: 3rem 0;
}

/* Typography
--------------------------------------------- */
h1,
h2,
h3,
h4,
h5,
h6,
p,
span,
input,
button,
:placeholder-shown,
table {
  font-family: 'Roboto', sans-serif;
  color: #282828;
}

h2 {
  font-size: 2.5rem;
  line-height: 3.5rem;
}

p,
span {
  line-height: 1.7rem;
  word-spacing: 2px;
}

ul {
  list-style: none;
}

::selection {
  background-color: #4acd63;
  color: #282828;
}

@media (min-width: 48em) {
  p,
  span {
    font-size: 1rem;
    line-height: 1.8rem;
  }
}

/* Elements
--------------------------------------------- */

/* Links
--------------------------------------------- */
a {
  font-family: 'Roboto', sans-serif;
  text-decoration: none;
  color: #282828;
}

a:focus-visible {
  color: #282828;
  outline: 1px dotted #00000070;
  box-shadow: 0 0 6px #00000070;
}

a:active,
a:visited {
  color: #282828;
}

/*--------------------------------------------------------------
# Components
--------------------------------------------------------------*/
.site-wrapper {
  margin: 0 1rem;
  padding-bottom: 2rem;
}

@media (min-width: 90em) {
  .site-wrapper {
    margin: 0 10rem;
  }
}

/* Header
--------------------------------------------- */
.site-header-inner {
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: 0 0.5rem;
}

.site-name {
  font-size: 3rem;
  font-weight: 700;
  text-transform: uppercase;
}

.site-tagline {
  display: none;
}

@media (min-width: 48em) {
  .site-header-inner {
    margin: 0 1rem;
  }

  .site-name {
    font-size: 4rem;
  }
}

@media (min-width: 60em) {
  .site-name {
    font-size: 6rem;
  }
}

@media (min-width: 90em) {
  .site-name {
    font-size: 8rem;
  }

  .site-tagline {
    display: block;
    margin-right: 1.5rem;
    font-size: 1.5rem;
  }
}

/* Hero
--------------------------------------------- */
.menu-toggle {
  display: block;
  margin: 0;
  padding: 0.75rem;
  background-color: transparent;
  border: none;
  cursor: pointer;
}

.menu-toggle img {
  display: block;
  width: 1.75rem;
  height: 1.75rem;
}

.site-navigation {
  font-size: 2.5rem;
  font-weight: 500;
  text-transform: uppercase;
}

.site-navigation ul {
  width: 100%;
  max-height: 0;
  padding: 0 0.625rem 0 0;
  margin: 0;
  overflow: hidden;
  font-size: 1.625rem;
  text-align: end;
  line-height: normal;
  list-style: none;
  opacity: 0;
  visibility: hidden;
  transition: max-height 0.35s ease, opacity 0.25s ease, visibility 0.25s ease;
}

.site-navigation.toggled ul {
  max-height: 50vh;
  opacity: 1;
  visibility: visible;
}

.site-navigation a {
  width: 100%;
  display: inline-block;
  padding: 1rem 0;
}

.site-title {
  margin-top: 4rem;
  line-height: normal;
}

.hero {
  margin: 0 1rem;
  font-size: 1.125rem;
  line-height: 2.1rem;
}

.hero-intro {
  margin-top: 2rem;
  font-size: 1.25rem;
  line-height: 2.2rem;
}

.hero-cta {
  max-width: 20rem;
  position: relative;
  display: block;
  margin: 2rem auto 0;
  padding: 1rem;
  background-color: #4acd63;
  font-size: 1.375rem;
  font-weight: 700;
  text-align: center;
  text-transform: uppercase;
  color: #16351f;
  border-radius: 10px;
  z-index: 1;
}

.hero-cta:active,
.hero-cta:visited {
  color: #16351f;
}

@media (min-width: 48em) {
  .site-navigation {
    font-size: 3rem;
  }

  .hero {
    margin: 0 3rem;
  }

  .hero-intro {
    font-size: 1.5rem;
    line-height: 3rem;
  }

  .hero-cta {
    font-size: 1.5rem;
    margin: 2rem 0 0;
  }
}

@media (min-width: 60em) {
  .menu-toggle {
    display: none;
  }

  .site-navigation {
    display: flex;
    font-size: 5rem;
    line-height: 9rem;
  }

  .site-navigation ul {
    max-height: none;
    padding: 0;
    font-size: inherit;
    text-align: initial;
    opacity: 1;
    overflow: visible;
    visibility: visible;
  }

  .site-navigation li {
    position: relative;
    padding: 2rem 0;
  }

  .site-navigation a {
    padding: 0;
  }

  .site-navigation a::after {
    content: '';
    position: absolute;
    bottom: 1.625rem;
    left: 0.375rem;
    width: 110%;
    height: 2.5rem;
    background-color: #f66761;
    z-index: -1;
    opacity: 0;
  }

  .site-navigation a:hover::after,
  .site-navigation a:focus-visible::after,
  .site-navigation a[aria-current='page']::after {
    opacity: 1;
  }

  .site-title {
    display: none;
  }

  .hero {
    margin: 5rem 2rem;
    display: flex;
    gap: 4rem;
  }

  .hero-text {
    max-width: 62.5rem;
    margin-top: 2rem;
  }

  .hero-intro {
    margin-top: 0;
  }
}

@media (min-width: 90em) {
  .site-navigation {
    font-size: 5.5rem;
    line-height: 11rem;
  }

  .hero {
    margin: 2.5rem 5rem 5rem;
    gap: 6rem;
  }

  .hero-intro {
    margin-top: 0.7rem;
    font-size: 1.6rem;
    line-height: 3.5rem;
  }
}

@media (min-width: 120em) {
  .site-navigation {
    font-size: 6rem;
    line-height: 11.5rem;
  }

  .hero {
    margin-top: 4rem;
  }

  .hero-intro {
    font-size: 1.8rem;
    line-height: 3.5rem;
  }
}

/* Main
--------------------------------------------- */

/* Footer
--------------------------------------------- */
.site-footer {
  padding: 3rem 1rem 1rem;
}

.site-footer-links {
  margin-bottom: 2rem;
  font-size: 1.25rem;
  line-height: 2.5rem;
  list-style: none;
}

.copyright {
  font-size: 1rem;
  text-align: center;
}

@media (min-width: 48em) {
  .site-footer {
    padding: 3rem 5rem 1rem;
  }
}
